<?php 
function showObjectList( $tableRows, Paginator $paginator ) 
{
?>
<!DOCTYPE html>
<html>

<head>
	<link rel="stylesheet" type="text/css" href="style.css">
</head>

<body>
<center>
<div id="header">
<h2>Object Listing</h2>
</div>

<form name="listingForm" action="<?= $_SERVER['SCRIPT_NAME']; ?>" method="post">

<table class="lists">
	<caption>
	<?php 
	$paginator->renderViewControls();
	?>
	</caption>
	<tr>
		<th width="5%">Row#</th>
		<th width="15%">Library</th>
		<th width="15%">Object Name</th>
		<th width="40%">Description</th>
		<th width="12%">Type</th>
		<th width="12%">Attribute</th>
	</tr>
<?php 
foreach($tableRows as $row) :
?> 
	<tr> 
		<td>
			<?= $row['rowNumber']; ?>
			&nbsp;
		</td>
		<td>
			<?= $row['LIBRARY_NAME']; ?>
			&nbsp;
		</td>
		<td>
			<?= $row['OBJECT_NAME']; ?>
			&nbsp;
		</td>
		<td>
			<?= $row['OBJECT_DESCRIPTION']; ?>
			&nbsp;
		</td>
		<td class="center">
			<?= $row['OBJECT_TYPE'];?>
			&nbsp;
		</td>
		<td class="center">
			<?= $row['OBJECT_ATTRIBUTE']; ?>
			&nbsp;
		</td>
	</tr> 
<?php 
endforeach;
?>
</table>
</center>
</form>
</div>
</body>
</html>
<?php
// end of function body 
}
?>